#include <stdio.h>
#include <stdlib.h>

int main()
{
    int x, n, i, m, prvi, poslednji;
    scanf("%d %d", &n, &x);
    int a[n];
    for(i = 0; i < n; i ++){
        scanf("%d", &a[i]);
    }
    prvi = a[0];
    for (i = 1; i < n; i++)
        if (a[i] < prvi)
           prvi = a[i];
    poslednji = a[0];
    for (i = 1; i < n; i++)
        if (a[i] > poslednji)
           poslednji = a[i];
    if(prvi >= x){
        m = abs(x - poslednji);
    }
    else if(poslednji <= x){
        m = abs(x - prvi);
    }
    else if(abs(x - prvi) < abs(x - poslednji)){
        m = 2 * abs(x - prvi) + abs(x - poslednji);
    }
    else{
        m = 2 * abs(x - poslednji) + abs(x - prvi);
    }
    printf("%d", m);
    return 0;
}